Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDialogButtonBox.StandardButton

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QDialogButtonBox.StandardButton

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDialogButtonBox

    public static final class QDialogButtonBox.StandardButton

extends java.lang.Enum
implements QtEnumerator

These enums describe flags for standard buttons. Each button has a defined `ButtonRole` .

See also:
  `ButtonRole` , and `standardButtons`.

See Also:
  Serialized Form

Field Summary
`static QDialogButtonBox.StandardButton` | `Abort` An "Abort" button defined with the `RejectRole` .
`static QDialogButtonBox.StandardButton` | `Apply` An "Apply" button defined with the `ApplyRole` .
`static QDialogButtonBox.StandardButton` | `Cancel` A "Cancel" button defined with the `RejectRole` .
`static QDialogButtonBox.StandardButton` | `Close` A "Close" button defined with the `RejectRole` .
`static QDialogButtonBox.StandardButton` | `Discard` A "Discard" or "Don't Save" button, depending on the platform, defined with the `DestructiveRole` .
`static QDialogButtonBox.StandardButton` | `Help` A "Help" button defined with the `HelpRole` .
`static QDialogButtonBox.StandardButton` | `Ignore` An "Ignore" button defined with the `AcceptRole` .
`static QDialogButtonBox.StandardButton` | `No`
`static QDialogButtonBox.StandardButton` | `NoButton` A "No" button defined with the `NoRole` .
`static QDialogButtonBox.StandardButton` | `NoToAll` A "No to All" button defined with the `NoRole` .
`static QDialogButtonBox.StandardButton` | `Ok` An "OK" button defined with the `AcceptRole` .
`static QDialogButtonBox.StandardButton` | `Open` A "Open" button defined with the `AcceptRole` .
`static QDialogButtonBox.StandardButton` | `Reset` A "Reset" button defined with the `ResetRole` .
`static QDialogButtonBox.StandardButton` | `RestoreDefaults` A "Restore Defaults" button defined with the `ResetRole` .
`static QDialogButtonBox.StandardButton` | `Retry` A "Retry" button defined with the `AcceptRole` .
`static QDialogButtonBox.StandardButton` | `Save` A "Save" button defined with the `AcceptRole` .
`static QDialogButtonBox.StandardButton` | `SaveAll` A "Save All" button defined with the `AcceptRole` .
`static QDialogButtonBox.StandardButton` | `Yes` A "Yes" button defined with the `YesRole` .
`static QDialogButtonBox.StandardButton` | `YesToAll` A "Yes to All" button defined with the `YesRole` .

Method Summary
`static QDialogButtonBox.StandardButtons` | `createQFlags(QDialogButtonBox.StandardButton[] values)` This function creates a com.trolltech.qt.gui.QDialogButtonBox$StandardButtons with the specified `com.trolltech.qt.gui.QDialogButtonBox$StandardButton[]` QDialogButtonBox$StandardButton values set.
`static QDialogButtonBox.StandardButton` | `resolve(int value)` Returns the QDialogButtonBox$StandardButton constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDialogButtonBox.StandardButton` | `valueOf(java.lang.String name)`
`static QDialogButtonBox.StandardButton[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoButton

    public static final QDialogButtonBox.StandardButton NoButton

  A "No" button defined with the `NoRole` .

### Ok

    public static final QDialogButtonBox.StandardButton Ok

  An "OK" button defined with the `AcceptRole` .

### Save

    public static final QDialogButtonBox.StandardButton Save

  A "Save" button defined with the `AcceptRole` .

### SaveAll

    public static final QDialogButtonBox.StandardButton SaveAll

  A "Save All" button defined with the `AcceptRole` .

### Open

    public static final QDialogButtonBox.StandardButton Open

  A "Open" button defined with the `AcceptRole` .

### Yes

    public static final QDialogButtonBox.StandardButton Yes

  A "Yes" button defined with the `YesRole` .

### YesToAll

    public static final QDialogButtonBox.StandardButton YesToAll

  A "Yes to All" button defined with the `YesRole` .

### No

    public static final QDialogButtonBox.StandardButton No

### NoToAll

    public static final QDialogButtonBox.StandardButton NoToAll

  A "No to All" button defined with the `NoRole` .

### Abort

    public static final QDialogButtonBox.StandardButton Abort

  An "Abort" button defined with the `RejectRole` .

### Retry

    public static final QDialogButtonBox.StandardButton Retry

  A "Retry" button defined with the `AcceptRole` .

### Ignore

    public static final QDialogButtonBox.StandardButton Ignore

  An "Ignore" button defined with the `AcceptRole` .

### Close

    public static final QDialogButtonBox.StandardButton Close

  A "Close" button defined with the `RejectRole` .

### Cancel

    public static final QDialogButtonBox.StandardButton Cancel

  A "Cancel" button defined with the `RejectRole` .

### Discard

    public static final QDialogButtonBox.StandardButton Discard

  A "Discard" or "Don't Save" button, depending on the platform, defined with the `DestructiveRole` .

### Help

    public static final QDialogButtonBox.StandardButton Help

  A "Help" button defined with the `HelpRole` .

### Apply

    public static final QDialogButtonBox.StandardButton Apply

  An "Apply" button defined with the `ApplyRole` .

### Reset

    public static final QDialogButtonBox.StandardButton Reset

  A "Reset" button defined with the `ResetRole` .

### RestoreDefaults

    public static final QDialogButtonBox.StandardButton RestoreDefaults

  A "Restore Defaults" button defined with the `ResetRole` .

Method Detail

### values

    public static QDialogButtonBox.StandardButton[] values()

### valueOf

    public static QDialogButtonBox.StandardButton valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QDialogButtonBox.StandardButtons createQFlags(QDialogButtonBox.StandardButton[] values)

  This function creates a com.trolltech.qt.gui.QDialogButtonBox$StandardButtons with the specified `com.trolltech.qt.gui.QDialogButtonBox$StandardButton[]` QDialogButtonBox$StandardButton values set.

### resolve

    public static QDialogButtonBox.StandardButton resolve(int value)

  Returns the QDialogButtonBox$StandardButton constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD